#ifndef CONTROLS_H
#define CONTROLS_H

#include "rclcpp/rclcpp.hpp"
#include "rclcpp_action/rclcpp_action.hpp"

#include "irobot_create_msgs/msg/interface_buttons.hpp"
#include "irobot_create_msgs/msg/lightring_leds.hpp"

class ButtonPressNode : public rclcpp::Node
{
public:
    ButtonPressNode();
    void bt1_wait();
    void bt2_wait();
    void kill();
private:
    void result_callback(const irobot_create_msgs::msg::InterfaceButtons::SharedPtr result);
    rclcpp::Subscription<irobot_create_msgs::msg::InterfaceButtons>::SharedPtr interface_buttons_subscriber_;
    bool button1{false};
    bool button2{false};
};

#endif